psm client library doesn't build on beos

VERIFIED FIXED

Status

Core Graveyard
Security: UI
P3
critical
VERIFIED FIXED
18 years ago
a year ago

People

(Reporter: cls, Assigned: Bob Lord)

Tracking

1.0 Branch
x86
BeOS

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

18 years ago
The PSM client library used to build on BeOS but I suspect the changes were lost
when we switched from the _M1x_BRANCH to the CLIENT_BRANCH.  I'm going to check
these changes into the CLIENT_BRANCH so that this isn't a blocker but can
someone check these into the master branch/tip ?
(Reporter)

Comment 1

18 years ago
Created attachment 8630 [details] [diff] [review]
Add XP_BEOS to ifdefs where appropriate
(Reporter)

Comment 2

18 years ago
The patch has been checked into the SECURITY_CLIENT_BRANCH.  
(Reporter)

Comment 3

18 years ago
Thanks to whomever checked in most of the BeOS changes to the tip.
Checked the following changes into mozilla/security on the tip.

Index: security//psm/lib/client/cmtinit.c
===================================================================
RCS file: /cvsroot/mozilla/security/psm/lib/client/cmtinit.c,v
retrieving revision 1.6
diff -u -r1.6 cmtinit.c
--- cmtinit.c   2000/05/16 18:30:53     1.6
+++ cmtinit.c   2000/06/13 23:11:47
@@ -37,7 +37,9 @@
 #include <sys/socket.h>
 #include <netinet/in.h>
 #include <sys/stat.h>
+#ifndef XP_BEOS
 #include <netinet/tcp.h>
+#endif
 #else
 #ifdef XP_MAC
 #include <Events.h> // for WaitNextEvent
@@ -84,7 +86,7 @@
 {
 #if defined WIN32
     return _getcwd(buf, maxLen);
-#elif defined XP_UNIX
+#elif defined(XP_UNIX) || defined(XP_BEOS)
     return getcwd(buf, maxLen);
 #else
     return NULL;
@@ -96,7 +98,7 @@
 {
 #if defined WIN32
     _chdir(path);
-#elif defined XP_UNIX
+#elif defined(XP_UNIX) || defined(XP_BEOS)
     chdir(path);
 #else
     return;
@@ -141,7 +143,7 @@
     return CMTSuccess;
  loser:
     return CMTFailure;
-#elif defined XP_UNIX
+#elif defined(XP_UNIX) || defined(XP_BEOS)
     sprintf(command,"./%s &", executable);
     if (system(command) == -1) {
         goto loser;
@@ -228,7 +230,7 @@
             break;
         }
     }
-#elif defined XP_UNIX
+#elif defined(XP_UNIX) || defined(XP_BEOS)
     i = 0;
     while (i<1000) {
         i += sleep(10);

Index: security//psm/lib/protocol/newproto.c
===================================================================
RCS file: /cvsroot/mozilla/security/psm/lib/protocol/newproto.c,v
retrieving revision 1.3
diff -u -r1.3 newproto.c
--- newproto.c  2000/05/17 00:17:42     1.3
+++ newproto.c  2000/06/13 23:11:47
@@ -49,6 +49,9 @@
 #ifdef XP_OS2_VACPP
 #include <utils.h>
 #endif
+#ifdef XP_BEOS
+#include "ByteOrder.h"
+#endif
 
 #include "newproto.h"
 

Status: NEW → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → FIXED

Comment 4

18 years ago
Verified.
Status: RESOLVED → VERIFIED
QA Contact: lord → junruh

Updated

13 years ago
Component: Security: UI → Security: UI
Product: PSM → Core

Updated

10 years ago
Version: psm1.01 → 1.0 Branch
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.